# Plotting membrane speakers

## Overview

Project for wire plotting of membrane speakers.  for wildcard week in mas.836 2018

- Sam Calisch
- Elena Chong
- Zijun Wei
- Victoria Shen

We will use a custom magnet wire plotting tool for the Zund cutter to plot coils for audio speakers.

<img src="https://calischs.pages.cba.mit.edu/kiri-tww/img/flatcoil/flatcoil-40awg-small.mp4" width=600px>

<img src="https://calischs.pages.cba.mit.edu/kiri-tww/img/flatcoil/flatcoil-40awg-microscope.jpg" height=250px>
<img src="https://gitlab.cba.mit.edu/calischs/kiri-tww/raw/master/img/flatcoil/flatcoil-cut.jpg" height=250px>

## TODO

- ~~waterjet steel layers~~
- ~~laser cut shim layer (500um? 1mm?). (elena)~~
- test heat+vacuum for membrane layers (sam)
- ~~verify magnet orientations with gaussmeter.~~
- ~~modify coil cutout to extend beyond frame for easy stretching, run job (sam)~~
- ~~solder leads (mount RCA jack?) (victoria)~~
- ~~test with audio amp~~

optional
- do a version with 1/16" magnets and 1/16" phenolic layer
- do a couple more iteration and polish final product


## Simulation

Two approaches: Coil-magnet, and coil-coil.

### Coil-coil

The coil-coil topology relies on coils to generate all magnetic fields, not just the time varying one.


<a href='comsol/coil-coil-speaker.mph'>comsol file</a>

<img src="img/coil-coil-flux.png" height=200px>

<img src="img/coil-coil-force.png" height=200px>

### Magnet-coil

The coil-magnet topology (planar magnetic) is used for some high end headphones.  It can produce significantly more force than coil-coil, even with very thin magnets.

<a href='comsol/magnet-coil-speaker.mph'>comsol file</a>

<img src="img/magnet-coil-flux.png" height=300px>
<img src="img/magnet-coil-force.png" height=300px>

#### magnet grids

In our meeting this morning, we talked about how rod magnets are more widely available than long, thin bar magnets, and that making grids of rod magnets could make assembly really easy and offer design freedom.  Below are two sketches of square and hex grids with coils routed to capture perpendicular flux.  Magnets are blue circles, all closest pairs have opposite polarity.

<img src="img/square-grid.png" height=400px>
<img src="img/hex-grid.png" height=400px>

The design below has rotational symmetry, which may help flatten its frequency response.

<img src="img/hex-spiral-screenshot.png" height=400px>
<img src="img/hex-spiral-coil.jpg" height=400px>

Watching the coils being plotted is fun:

<img src="img/hex-spiral-plotting.mp4" height=400px>

## Design and Fabrication

First, we decided to start off with making a rectangular frame for clamping firmly the membrane (wire plotting on 25 micron kapton tape) that Sam initially designed for another project of his. The frame contained pockets on each side for placing the "rubber" that will create friction between the frame plates. We used the Epilog Lasercutter to lasercut the frames on 1/8" acrylic sheet. For the pocket, we used 60% speed, 100% power, and 200ppi, for the outline of the frame we used 3% speed, 100% power, and 200ppi.

<img src= "img/wireplotting1.jpg" height=400px>
<img src= "img/wireplotting2.jpg" height=400px>
<img src= "img/wireplotting3.jpg" height=400px>
<img src= "img/wireplotting4.jpg" height=400px>
<img src= "img/wireplotting5.jpg" height=400px>
<img src= "img/wireplotting6.jpg" height=400px>
<img src= "img/wireplotting7.jpg" height=400px>
<img src= "img/wireplotting8.jpg" height=400px>
<img src= "img/wireplotting9.jpg" height=400px>
<img src= "img/wireplotting10.jpg" height=400px>

## Testing

## Links:

- [Planar magnetic headphones](https://www.innerfidelity.com/content/how-planar-magnetic-headphones-work)
- [Ben Katz's Planar magnetic headphones pt. 1](http://build-its-inprogress.blogspot.com/2017/08/planar-magnetic-headphones-part-1.html)
- [Ben Katz's Planar magnetic headphones pt. 2](http://build-its-inprogress.blogspot.com/2017/09/planar-magnetic-headphones-part-2.html)
- [Applied Science magnetics video](https://www.youtube.com/watch?v=4UFKl9fULkA)